Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Possible error in animate.py after commit cc617006f7f0a18396cecf4a9f1e222f1ee5204e #2014

Closed
paalge opened this Issue · 1 comment

1 participant

paalge
paalge

Hi

I've just checked out the newest version of matplotlib from github using git (version d5b078b ) and my Animation files didn't work any more.
The error is given below.
I reverted to version cc61700 which gave the same error. By reverting to the one before ( edb1526 ) it worked as before.

Is this a bug?

Exception RuntimeError: RuntimeError('cannot join current thread',) in ignored
0
Traceback (most recent call last):
File "foo/workspace/PythonTools/Animation/plotHyperAsAnimation.py", line 252, in
main()
File "foo/workspace/PythonTools/Animation/plotHyperAsAnimation.py", line 208, in main
makeAnimation(inputFolder, outputFile, args)
File "foo/workspace/PythonTools/Animation/plotHyperAsAnimation.py", line 196, in makeAnimation
ani.save(outputFile + '.mp4', codec='mpeg4', fps=10, bitrate=2000, savefig_kwargs={'facecolor':'black'})
File "foo/.local/lib/python2.7/site-packages/matplotlib-1.3.x-py2.7-linux-x86_64.egg/matplotlib/animation.py", line 706, in save
writer.grab_frame(*savefig_kwargs)
File "foo/.local/lib/python2.7/site-packages/matplotlib-1.3.x-py2.7-linux-x86_64.egg/matplotlib/animation.py", line 202, in grab_frame
dpi=self.dpi, *
savefig_kwargs)
File "foo/.local/lib/python2.7/site-packages/matplotlib-1.3.x-py2.7-linux-x86_64.egg/matplotlib/figure.py", line 1410, in savefig
self.canvas.print_figure(args, *kwargs)
File "foo/.local/lib/python2.7/site-packages/matplotlib-1.3.x-py2.7-linux-x86_64.egg/matplotlib/backends/backend_qt4agg.py", line 161, in print_figure
FigureCanvasAgg.print_figure(self, args, *kwargs)
File "foo/.local/lib/python2.7/site-packages/matplotlib-1.3.x-py2.7-linux-x86_64.egg/matplotlib/backend_bases.py", line 2213, in print_figure
*kwargs)
File "foo/.local/lib/python2.7/site-packages/matplotlib-1.3.x-py2.7-linux-x86_64.egg/matplotlib/backends/backend_agg.py", line 481, in print_raw
FigureCanvasAgg.draw(self)
File "foo/.local/lib/python2.7/site-packages/matplotlib-1.3.x-py2.7-linux-x86_64.egg/matplotlib/backends/backend_agg.py", line 445, in draw
self.figure.draw(self.renderer)
File "foo/.local/lib/python2.7/site-packages/matplotlib-1.3.x-py2.7-linux-x86_64.egg/matplotlib/artist.py", line 54, in draw_wrapper
draw(artist, renderer, *args, *
kwargs)
File "foo/.local/lib/python2.7/site-packages/matplotlib-1.3.x-py2.7-linux-x86_64.egg/matplotlib/figure.py", line 1034, in draw
func(args)
File "foo/.local/lib/python2.7/site-packages/matplotlib-1.3.x-py2.7-linux-x86_64.egg/matplotlib/artist.py", line 54, in draw_wrapper
draw(artist, renderer, *args, *
kwargs)
File "foo/.local/lib/python2.7/site-packages/matplotlib-1.3.x-py2.7-linux-x86_64.egg/matplotlib/axes.py", line 2086, in draw
a.draw(renderer)
File "foo/.local/lib/python2.7/site-packages/matplotlib-1.3.x-py2.7-linux-x86_64.egg/matplotlib/artist.py", line 54, in draw_wrapper
draw(artist, renderer, args, *kwargs)
File "foo/.local/lib/python2.7/site-packages/matplotlib-1.3.x-py2.7-linux-x86_64.egg/matplotlib/text.py", line 554, in draw
bbox, info = self.get_layout(renderer)
File "foo/.local/lib/python2.7/site-packages/matplotlib-1.3.x-py2.7-linux-x86_64.egg/matplotlib/text.py", line 318, in get_layout
ismath=False)
File "foo/.local/lib/python2.7/site-packages/matplotlib-1.3.x-py2.7-linux-x86_64.egg/matplotlib/backends/backend_agg.py", line 202, in get_text_width_height_descent
texmanager = self.get_texmanager()
File "foo/.local/lib/python2.7/site-packages/matplotlib-1.3.x-py2.7-linux-x86_64.egg/matplotlib/backend_bases.py", line 614, in get_texmanager
self._texmanager = TexManager()
File "foo/.local/lib/python2.7/site-packages/matplotlib-1.3.x-py2.7-linux-x86_64.egg/matplotlib/texmanager.py", line 169, in __init

ff = rcParams['font.family'].lower()
AttributeError: 'list' object has no attribute 'lower'

paalge

I'm sorry, I didn't see #2012 which covers the reason of the error.

paalge paalge closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.